Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225496 - CVE-2007-0555 PostgreSQL arbitrary memory read flaws (CVE-2007-0556)
Summary: CVE-2007-0555 PostgreSQL arbitrary memory read flaws (CVE-2007-0556)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: postgresql
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: reported=20070129,source=redhat,impac...
Depends On: 227688
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 22:09 UTC by Josh Bressers
Modified: 2013-07-03 03:12 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0068
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 15:02:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0068 normal SHIPPED_LIVE Moderate: postgresql security update 2007-03-14 15:01:54 UTC

Description Josh Bressers 2007-01-30 22:09:33 UTC
+++ This bug was initially created as a clone of Bug #225493 +++

An authenticated PostgreSQL user has the ability to crash the database server or
possibly read arbitrary memory for the server process.  This is caused by
insufficient type checking for SQL-language functions.

CVE-2006-5556 also describes a similar flaw.  The description form the
PostgreSQL advisory describes it as such:

The risk scenarios are exactly the same as above, but the method to
exploit the hole is a bit different. The attacker must cause a query plan
to be prepared and saved (via PREPARE, or implicitly in a plpgsql
function) and then execute an ALTER COLUMN TYPE command to change the type
of one of the columns used in the query, and then execute the now-stale
query plan. Since ALTER COLUMN TYPE was introduced in PostgreSQL 8.0,
older versions are not vulnerable.

Comment 1 Mark J. Cox 2007-02-05 11:31:15 UTC
removing embargo; public at http://www.postgresql.org/support/security.html


Comment 2 Tom Lane 2007-02-05 14:54:12 UTC
Fix is built in postgresql-8.1.7-1.el5, awaiting RHEL5 0-day updates.

Comment 3 Tom Lane 2007-02-06 23:33:20 UTC
It turns out that the security fix in 8.1.7 broke enough things that it's going
to have to be modified.  I'm withdrawing postgresql-8.1.7-1.el5 as a candidate
for RHEL5 0-day.  Upstream is going to spin an 8.1.8 with the fix shortly
(probably tonight) and I recommend we go with that instead.

Comment 9 Red Hat Bugzilla 2007-03-14 15:02:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0068.html



Note You need to log in before you can comment on or make changes to this bug.